MKDNA6IDX(1)

NAME
mkdna6idx - generate a six frame translation index

SYNOPSIS

mkdna6idx [options] <indexname>

DESCRIPTION

mkdna6idx is very similar to mkvtree. While mkvtree can handle sequences over arbitrary alphabets, mkdna6idx requires DNA-sequences as input. It generates two indices, namely:

    • A flat index "indexname" for the the given DNA sequences. It mainly consists of the two files "indexname.tis" and "indexname.ois". This index is mainly used for output purpose.

    • An index "indexname.6fr" for the given DNA sequences translated in all six reading frames.This is used for computing the matches.

Please also see the Vmatch manual for a more detailed explanation of the usage.

OPTIONS

-db <file>
    Specify database files (mandatory).

-smap <file>
    Specify file containing a symbol mapping. This describes the grouping of symbols. It is possible to set the environment variable MKVTREESMAPDIR to the path where these files can be found.

-transnum <table>
    Perform six frame translation. Specify codon translation table by a number in the range [1,23] except for 7, 8, 17, 18, 19 and 20; (default is 1):

         1 Standard
         2 Vertebrate Mitochondrial
         3 Yeast Mitochondrial
         4 Mold Mitochondrial; Protozoan Mitochondrial; Coelenterate Mitochondrial; Mycoplasma; Spiroplasma
         5 Invertebrate Mitochondrial
         6 Ciliate Nuclear; Dasycladacean Nuclear; Hexamita Nuclear
         9 Echinoderm Mitochondrial
        10 Euplotid Nuclear
        11 Bacterial
        12 Alternative Yeast Nuclear
        13 Ascidian Mitochondrial
        14 Flatworm Mitochondrial
        15 Blepharisma Macronuclear
        16 Chlorophycean Mitochondrial
        21 Trematode Mitochondrial
        22 Scenedesmus Obliquus Mitochondrial
        23 Thraustochytrium Mitochondrial

-indexname <string>
    Specify name for index to be generated.

-cpl
    Use reverse complement of the input sequence.

-tis
    Output transformed input sequences (tistab) to file.

-ois
    Output original input sequences (oistab) to file.

-maxdepth <len>
    Restrict the sorting to prefixes of the given length.

-v
    Verbose mode.

-version
    Show the version of the Vmatch package

-help
    Show help.

SEE ALSO

mkvtree(1)